%global momorel  2
%global realname php-mode
%global emacsver 22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages/lisp
%global confsamp  %{_datadir}/config-sample

Summary: Major mode for editing PHP code.
Name: elisp-%{realname}
Version: 1.1.0
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://sourceforge.net/projects/%{realname}/

Source0: %{realname}.el
Source1: php-mode.dot.emacs
Source2: README.eucjp
Source3: php-mode.el.original
BuildArch: noarch
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildPreReq: c-comment-edit-emacs

%description
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n %{realname}-emacs
Summary: Major mode for editing PHP code on emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: c-comment-edit-emacs

%description -n %{realname}-emacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%package -n %{realname}-xemacs
Summary: Major mode for editing PHP code on XEmacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo

%description -n %{realname}-xemacs
PHP mode is a major mode for editing PHP 3 and 4 source code.  It's an
extension of C mode; thus it inherits all C mode's navigation
functionality.  But it colors according to the PHP grammar and indents
according to the PEAR coding guidelines.  It also includes a couple
handy IDE-type features such as documentation search and a source and
class browser.

%prep
%setup -qTc
%{__cp} -p  %{S:0} %{S:1} %{S:2} %{S:3} .

%build
emacs -q -batch -f batch-byte-compile %{realname}.el
%{__mv} %{realname}.elc %{realname}.elc.emacs

xemacs -batch -q -no-site-file -f batch-byte-compile %{realname}.el

%install
test -d %{buildroot} && rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.el %{buildroot}%{e_sitedir}/%{realname}
%{__install} -m 0644 %{realname}.elc.emacs %{buildroot}%{e_sitedir}/%{realname}/%{realname}.elc

%{__mkdir_p} %{buildroot}%{sitepdir}/%{realname}
%{__install} -m 0644 %{realname}.el %{buildroot}%{sitepdir}/%{realname}
%{__install} -m 0644 %{realname}.elc %{buildroot}%{sitepdir}/%{realname}/%{realname}.elc

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 %{realname}.dot.emacs %{buildroot}%{confsamp}/%{name}/%{realname}.dot.emacs

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.eucjp %{realname}.el.original
%{confsamp}/%{name}/%{realname}.dot.emacs

%files -n %{realname}-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/%{realname}
%{e_sitedir}/%{realname}/%{realname}.el*

%files -n %{realname}-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/%{realname}
%{sitepdir}/%{realname}/%{realname}.el*

%changelog
* Sat Dec 24 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-2m)
- remove c-comment-edit.el
- add 'Requires: c-comment-edit-emacs'

* Tue May 17 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.0-1m)
- ver. up

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.5-6m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.5-5m)
- rebuild against emacs 22.0.50

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0.5-4m)
- revised spec for enabling rpm 4.2.

* Sat Dec 13 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-3m)
- modify patch.

* Tue Nov 25 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-2m)
- modify patch.

* Wed Nov 19 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0.5-1m)
- update to upstream version.
- remake patch.

* Mon Mar 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-3m)
- fix patch (key bind)

* Fri Mar 21 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-2m)
- rebuild against emacs-21.3
- define emacsver, xemacsver

* Wed Mar 19 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.0.4-1m)
- first import to Momonga.
- cleate patch.
  php-complete-function implemented. (from css-mode.el)
  modify variable definition for font-lock
    and  php-complete-function.
